\definecolor{qqqqff}{rgb}{0,0,1}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1cm,y=1cm]
\begin{axis}[x=1cm,y=1cm,axis lines=middle,ymajorgrids=true,xmajorgrids=true,xmin=-2.5,xmax=5.5,ymin=-1.5,ymax=3.5,xtick={-2,-1,...,5},ytick={-1,0,...,3},]
\clip(-2.5,-1.5) rectangle (5.5,3.5);
\draw[line width=1.5pt,color=qqqqff, smooth, samples=1000, domain=-2:5] plot (\x,{2*cos(deg(((\x)-1)*(pi/3)))+1});
\end{axis}
\end{tikzpicture}